%define srcname fvwm

Name:           fvwm2
Version:        2.6.4
Release:        %mkrel 1
Summary:        An improved version of the FVWM X-based window manager
License:        GPLv2+
Group:          Graphical desktop/FVWM based

URL:            http://www.fvwm.org/
Source0:        ftp://ftp.fvwm.org/pub/fvwm/version-2/%{srcname}-%{version}.tar.bz2
#vintage logo
Source1:        fvwm2.png
#default system config file searched by fvwm2
Source2:        system.fvwm2rc
#mga system-wide configuration file, called from the system.fvwm2rc
Source3:        fvwm2rc.mga
# removed from spec and put into a separate file
Source4:        09fvwm2
#an example file to tune user side configuration
Source5:        user.fvwm2rc

Patch0:         fvwm-2.5.26-translucent-menus.diff
Patch1:         fvwm-2.5.26-fix-str-fmt.patch

BuildRequires:  flex
BuildRequires:  libx11-devel
BuildRequires:  libxt-devel
BuildRequires:  libxft-devel
BuildRequires:  libxpm-devel
BuildRequires:  libpng-devel
BuildRequires:  libreadline-devel
BuildRequires:  libtermcap-devel
BuildRequires:  libfribidi-devel
BuildRequires:  libstroke-devel
BuildRequires:  librsvg-devel
BuildRequires:  libxinerama-devel

# for fvwm-bug
Requires:       sendmail-command
# for fvwm-menu-headlines
Requires:       desktop-common-data
# for fvwm-menu-xlock
Requires:       xlockmore
# for doing something
Requires:       xterm
# for having something
Requires:       xclock
# for iconification and wallpaper
Requires:       xwd
Requires:       imagemagick
# for mimeinfo
Requires:       perl-File-MimeInfo
# for compositing (enhancement only)
Suggests:       xcompmgr
Suggests:       transset-df
Suggests:       aterm


%description

FVWM2 (the F stands for whatever you want, but the VWM stands for
Virtual Window Manager) is an extremely powerful ICCCM-compliant
multiple virtual desktop window manager for the X Window system. It is
designed to minimize memory consumption while being highly
customizable.

%prep
%setup -q -n %{srcname}-%{version}
%patch0 -p0 -b .translucent
%patch1 -p0 -b .str

%build
%configure2_5x \
    --disable-gtk \
    --libexecdir=%{_libdir}/X11/fvwm2 \
    --sysconfdir=%{_sysconfdir}/X11/fvwm2 \
    --with-imagepath=%{_datadir}/icons
%make LOCALEDIR=%{_datadir}/locale localedir=%{_datadir}/locale

%install
rm -rf %{buildroot}
%{makeinstall_std} LOCALEDIR=%{_datadir}/locale localedir=%{_datadir}/locale

install -D -m644 %{SOURCE1} %{buildroot}%{_iconsdir}/%{name}.png
install -D -m644 %{SOURCE2} %{buildroot}%{_sysconfdir}/X11/%{name}/system.fvwm2rc
install -D -m644 %{SOURCE3} %{buildroot}%{_sysconfdir}/X11/%{name}/fvwm2rc.mga
install -D -m644 %{SOURCE4} %{buildroot}%{_sysconfdir}/X11/wmsession.d/09fvwm2
install -D -m644 %{SOURCE5} %{buildroot}%{_datadir}/fvwm/user.fvwm2rc

# OT fvwm is fvwm1
# CR was on mandriva, but still cool
rm -f %{buildroot}%{_bindir}/fvwm2
mv %{buildroot}%{_bindir}/fvwm %{buildroot}%{_bindir}/fvwm2

%find_lang %{name} --all-name

%files -f %{name}.lang
%defattr(-,root,root)
%doc INSTALL README AUTHORS INSTALL.fvwm NEWS ChangeLog docs
%config(noreplace) %{_sysconfdir}/X11/fvwm2
%config(noreplace) %{_sysconfdir}/X11/wmsession.d/09fvwm2
%{_mandir}/man1/*
%{_bindir}/*
%{_datadir}/fvwm
%{_libdir}/X11/fvwm2
%{_iconsdir}/%{name}.png

%clean
rm -rf %{buildroot}



%changelog

* Sun Feb 05 2012 eatdirt <eatdirt> 2.6.4-1.mga2
+ Revision: 204824
- Upgrade to 2.6.4
  System-wide config file cleaned
  Added an user config file example

* Fri Oct 07 2011 eatdirt <eatdirt> 2.6.3-1.mga2
+ Revision: 152793
- upgrade to 2.6.3

* Wed Sep 14 2011 eatdirt <eatdirt> 2.6.2-1.mga2
+ Revision: 143594
- upgrade to 2.6.2

* Sun May 15 2011 pterjan <pterjan> 2.6.1-2.mga1
+ Revision: 98982
- Rebuild for fixed find-requires

* Tue Apr 19 2011 eatdirt <eatdirt> 2.6.1-1.mga1
+ Revision: 88135
- new version 2.6.1

* Wed Apr 13 2011 obgr_seneca <obgr_seneca> 2.5.31-1.mga1
+ Revision: 84416
- imported package fvwm2

